#!/bin/bash

if dconf read /org/gnome/settings-daemon/plugins/media-keys/custom-keybindings | grep gnome-lightdm-lock &>/dev/null
then
    exit 0
fi

# Clear current screensaver command, to free up Super + L
dconf write /org/gnome/settings-daemon/plugins/media-keys/screensaver "''"

# Create new entry
dconf write /org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/gnome-lightdm-lock/binding "'<Super>l'"
dconf write /org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/gnome-lightdm-lock/name "'Gnome Lightdm Lock'"
dconf write /org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/gnome-lightdm-lock/command "'dm-tool lock'"

defaults=$(dconf read /org/gnome/settings-daemon/plugins/media-keys/custom-keybindings)

if [[ -z $defaults ]] || [[ $defaults == *"[]"* ]];
then
    news="['/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/gnome-lightdm-lock/']"
else
    news="${defaults%]*}, '/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/gnome-lightdm-lock/']"
fi

dconf write /org/gnome/settings-daemon/plugins/media-keys/custom-keybindings "$news"
